# should be consistent across one release
%global build_date 20130405

Name:           sat4j
Version:        2.3.5
Release:        %mkrel 9
Group:          Development/Java
Summary:        A library of SAT solvers written in Java

License:        EPL or LGPLv2
URL:            http://www.sat4j.org/
# Created by sh sat4j-fetch.sh
Source0:        sat4j-%{version}.tar.xz
Source1:        sat4j-fetch.sh
Patch0:         sat4j-classpath.patch

BuildRequires:  ant
BuildRequires:  javapackages-local
Requires:       javapackages-tools

BuildArch:      noarch

%description
The aim of the SAT4J library is to provide an efficient library of SAT
solvers in Java. The SAT4J library targets first users of SAT "black
boxes", those willing to embed SAT technologies into their application
without worrying about the details.

%prep
%setup -q -n sat4j-%{version}
%patch0

%build
ant -Dbuild.compiler=modern -Drelease=%{version} \
 -Dtarget=1.5 -DBUILD_DATE=%{build_date} p2 

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -rp dist/%{version}/org.sat4j.core.jar \
 $RPM_BUILD_ROOT%{_javadir}
cp -rp dist/%{version}/org.sat4j.pb.jar \
 $RPM_BUILD_ROOT%{_javadir}

%files
# No %%doc files as the about.html is in the jar
%{_javadir}/org.sat4j*



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 2.3.5-9.mga6
+ Revision: 978165
- First rebuild of the java stack
- sync package sat4j with fedora

* Sat Feb 06 2016 umeabot <umeabot> 2.3.5-6.mga6
+ Revision: 941942
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.5-5.mga5
+ Revision: 738853
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.5-4.mga5
+ Revision: 689035
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.3.5-3.mga4
+ Revision: 537657
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 2.3.5-2.mga4
+ Revision: 487422
- Rebuild against new javapackages

* Tue Jul 16 2013 dmorgan <dmorgan> 2.3.5-1.mga4
+ Revision: 454966
- New version

* Mon Jan 14 2013 umeabot <umeabot> 2.3.0-4.mga3
+ Revision: 381724
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 21 2011 dmorgan <dmorgan> 2.3.0-3.mga2
+ Revision: 185132
- Make 1.5-level bytecode
  This enables bootstrapping of Eclipse with OpenJDK 7.

* Wed Nov 16 2011 dmorgan <dmorgan> 2.3.0-2.mga2
+ Revision: 168039
- Remove dupplicate %%changelog entry ( mga #3356)

* Tue Jul 19 2011 dmorgan <dmorgan> 2.3.0-1.mga2
+ Revision: 126053
- New version 2.3.0
- Add back version 2.2.0

* Fri Mar 04 2011 dmorgan <dmorgan> 2.0.3-4.mga1
+ Revision: 63854
- Revert to an older version to be able to build eclipse

* Tue Feb 01 2011 dmorgan <dmorgan> 2.2.0-4.mga1
+ Revision: 45900
- Adapt for mageia
- imported package sat4j


* Sat Jan 29 2011 sshaw@decriptor.com
- Updated package based on sat4j-2.2.0-1.fc14.src.rpm
